# Glade-Perl.spec

%define real_name Glade-Perl
%define docdir Documentation

Name: perl-Glade
Version: 0.61
Release: alt1.2.1

Summary: Perl module to generate Gtk-Perl apps from a Glade file.
Group: Development/GNOME and GTK+
License: GPL

Url: http://www.glade.perl.connectfree.co.uk/

BuildArch:      noarch

Source: http://www.glade.perl.connectfree.co.uk/Glade-Perl-0.61.tar.bz2

# Automatically added by buildreq on Tue Oct 07 2003 (-bi)
BuildRequires: XFree86-libs glib gtk+ libexpat perl-GTK-Gnome perl-Unicode-String perl-XML-Parser perl-devel

Requires: perl-XML-Parser perl-Unicode-String perl-GTK perl-GTK-Gnome

%description
Glade-Perl will read a Glade-Interface XML file, build the UI and/or         
write the perl source to create the UI later and handle signals.                
It also creates an 'App' and a 'Subclass' that you can edit.                    
                                                                                
The current version of Glade-Perl is available on CPAN or on the                
project website at                                                              
                                                                                
   http://www.glade.perl.connectfree.co.uk/                                     
                                                                                   
Glade-Perl can generate AUTOLOAD type OO code with subclasses or even           
Libglade apps. 

%prep
%setup -n %real_name-%version -q

# fix for new MakeMaker (ie new perl 5.8.0)
perl -pi -e '/CCCMD/ && s|/m;|/mg;|' Makefile.PL

%build
%def_without test
ARGS=--lazy-load
%perl_vendor_build $ARGS

%install
%perl_vendor_install

%files
%doc Example %docdir/{COPYING,README,TODO,FAQ*,Gtk-Perl-Docs.html,Changelog}
%perl_vendor_privlib/Glade/Perl*
%_mandir/man?/*
%_bindir/*

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.61-alt1.2.1
- Rebuilt with rpm-build-perl-0.5.1.

* Tue Nov 18 2003 LKS <lakostis at altlinux dot ru> 0.61-alt1.2
- add glade2perl to package.
- spec cleanups.

* Tue Oct 07 2003 LKS <lakostis at altlinux dot ru> 0.61-alt1.1
- fixed build in hasher.
- spec cleanups.

* Wed Feb 19 2003 LKS <lakostis@altlinux.ru> 0.61-alt0.1
- initial build for ALTLinux
